with Calendar;


procedure Req_ft220 is
  -- Req_ft220: continue; common statements
  -- Mon Oct  6 12:12:50 EDT 1997
  -- $Revision: 1.10 $
  -- Specific request:  make the continuation lines right.  Details
  --   provided:  exactly what I recommend come out.
  -- Also say many continuation lines come out right.

  type Integer_Duration is range -86_400 .. 86_400;
  subtype Natural_Duration is Integer_Duration range
    0 .. Integer_Duration'LAST;
  subtype Positive_Duration is Integer_Duration range
    1 .. Integer_Duration'LAST;

  Number_Of_Hours_In_Day      : constant Positive_Duration := 24;
  Number_Of_Minutes_In_Hour   : constant Positive_Duration := 60;
  Number_Of_Seconds_In_Minute : constant Positive_Duration := 60;
  Number_Of_Seconds_In_Hour   : constant Positive_Duration :=
    Number_Of_Seconds_In_Minute * Number_Of_Minutes_In_Hour;
  Number_Of_Seconds_In_Day    : constant Positive_Duration :=
    Number_Of_Seconds_In_Hour * Number_Of_Hours_In_Day;

  UC_LC_Offset                  : constant Natural   :=
    Character'Pos (ASCII.LC_A) - Character'Pos ('A');

  type r_type is record
    x : integer;
  end record;

  subtype Search_Value_Type is String (1 .. 9);
  type Month_Name_Array_Type is array (Integer range <>) of
    Search_Value_Type;

  Month_Name_Array : constant Month_Name_Array_Type (Calendar.Month_Number) :=
    ("JANUARY  ", "FEBRUARY ", "MARCH    ", "APRIL    ", "MAY      ",
    "JUNE     ", "JULY     ", "AUGUST   ", "SEPTEMBER", "OCTOBER  ",
    "NOVEMBER ", "DECEMBER ");

  Month_Name_Start  : constant Positive := 14;
  Month_Name_End    : constant Positive := 22;

  External_Tod_Representation_Length : constant Positive := 38;
  subtype External_Tod_Representation_Type is String (
    1 .. External_Tod_Representation_Length);

  Return_Value : External_Tod_Representation_Type := (others => ' ');
  Month : Calendar.Month_Number := 2;

  Tod_Value : External_Tod_Representation_Type := (others => ' ');
  Curr_Hour          : Natural_Duration range 00 .. Number_Of_Hours_In_Day;
  Curr_Minute        : Natural_Duration range
    00 .. Number_Of_Minutes_In_Hour - 1;
  Curr_Second        : Natural_Duration range
    00 .. Number_Of_Seconds_In_Minute - 1;
  Seconds_As_Natural : Natural_Duration range 0 .. Number_Of_Seconds_In_Day
    := 0;


begin -- Req_ft220
  -- Need some simple sample statements here to show how it does
  -- with indenting continuation lines.

  Tod_Value (8) := Character'Val (Character'Pos (Tod_Value (8)) +
    UC_LC_Offset);

  Curr_Hour := (Seconds_As_Natural / Number_Of_Minutes_In_Hour) /
    Number_Of_Seconds_In_Minute;
  Curr_Minute := (Seconds_As_Natural / Number_Of_Minutes_In_Hour) mod
    Number_Of_Seconds_In_Minute;
  Curr_Second := Seconds_As_Natural -
    (Curr_Hour * Number_Of_Seconds_In_Hour) -
    (Curr_Minute * Number_Of_Minutes_In_Hour);

  Return_Value (Month_Name_Start .. Month_Name_End) :=
    Month_Name_Array (Month);

end Req_ft220;
